# capability.wsgi
from pyramid.paster import get_app, setup_logging
import os

import socket

fqdn = socket.getfqdn()
if "shipman" in fqdn:
    os.environ['CAPO_PROFILE'] = 'dsoc-prod'
elif "wirth" in fqdn:
    os.environ['CAPO_PROFILE'] = 'dsoc-dev'
elif "hamilton" in fqdn:
    os.environ['CAPO_PROFILE'] = 'dsoc-test'
else:
    os.environ['CAPO_PROFILE'] = 'local'

# os.environ['CAPO_PROFILE'] = 'products'

ini_path = os.path.dirname(__file__) + '/production.ini'

setup_logging(ini_path)
application = get_app(ini_path, 'main')
